org.keycloak.saml.common

## Interface ErrorCodes

-     public interface ErrorCodes

  Error Codes for PicketLink https://docs.jboss.org/author/display/PLINK/PicketLink+Error+Codes
  Since:
    Aug 4, 2011
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ASSERTION_RENEWAL_EXCEPTION`
    `static String` | `AUDIT_MANAGER_NULL`
    `static String` | `AUTHENTICATOR_DOES_NOT_HANDLE_ENC`
    `static String` | `AUTHN_REQUEST_ID_VERIFICATION_FAILED`
    `static String` | `CANNOT_CREATE_INSTANCE`
    `static String` | `CLASS_NOT_LOADED`
    `static String` | `COMPRESSION_ENABLED_SAML_CRED`
    `static String` | `DOM_MISSING_DOC_ELEMENT`
    `static String` | `DOM_MISSING_ELEMENT`
    `static String` | `ENCRYPTION_PROCESS_FAILURE`
    `static String` | `EXPECTED_END_TAG`
    `static String` | `EXPECTED_TAG`
    `static String` | `EXPECTED_TEXT_VALUE`
    `static String` | `EXPECTED_XSI`
    `static String` | `EXPIRED_ASSERTION`
    `static String` | `FAILED_PARSING`
    `static String` | `FILE_NOT_LOCATED`
    `static String` | `IDP_AUTH_FAILED`
    `static String` | `IDP_WEBBROWSER_VALVE_ALREADY_STARTED`
    `static String` | `IDP_WEBBROWSER_VALVE_CONF_FILE_MISSING`
    `static String` | `IDP_WEBBROWSER_VALVE_NOT_STARTED`
    `static String` | `ILLEGAL_METHOD_CALLED`
    `static String` | `INJECTED_VALUE_MISSING`
    `static String` | `INVALID_ASSERTION`
    `static String` | `INVALID_DIGITAL_SIGNATURE`
    `static String` | `ISSUER_INFO_MISSING_STATUS_CODE`
    `static String` | `KEYSTOREKEYMGR_DOMAIN_ALIAS_MISSING`
    `static String` | `KEYSTOREKEYMGR_KEYSTORE_NOT_LOCATED`
    `static String` | `KEYSTOREKEYMGR_NULL_ALIAS`
    `static String` | `KEYSTOREKEYMGR_NULL_ENCRYPTION_KEYPASS`
    `static String` | `KEYSTOREKEYMGR_NULL_KEYSTORE`
    `static String` | `KEYSTOREKEYMGR_NULL_SIGNING_KEYPASS`
    `static String` | `LOCAL_VALIDATION_SEC_DOMAIN_MUST_BE_SPECIFIED`
    `static String` | `NOT_EQUAL`
    `static String` | `NOT_IMPLEMENTED_YET`
    `static String` | `NOT_SERIALIZABLE`
    `static String` | `NULL_ARGUMENT`
    `static String` | `NULL_ASSERTION`
    `static String` | `NULL_INPUT_STREAM`
    `static String` | `NULL_ISSUE_INSTANT`
    `static String` | `NULL_START_ELEMENT`
    `static String` | `NULL_VALUE`
    `static String` | `OPTION_NOT_SET`
    `static String` | `PARSING_ERROR`
    `static String` | `PRINCIPAL_NOT_FOUND`
    `static String` | `PROCESSING_EXCEPTION`
    `static String` | `REQD_ATTRIBUTE`
    `static String` | `RESOURCE_NOT_FOUND`
    `static String` | `SAML2STSLM_CONF_FILE_MISSING`
    `static String` | `SAML2STSLM_UNABLE_DECODE_PWD`
    `static String` | `SERVICE_PROVIDER_CONF_FILE_MISSING`
    `static String` | `SERVICE_PROVIDER_NOT_CATALINA_RESPONSE`
    `static String` | `SERVICE_PROVIDER_SERVER_EXCEPTION`
    `static String` | `SHOULD_NOT_BE_THE_SAME`
    `static String` | `SIGNING_PROCESS_FAILURE`
    `static String` | `SOAP_MESSAGE_DUMP_ERROR`
    `static String` | `STS_CLIENT_PUBLIC_KEY_ERROR`
    `static String` | `STS_COMBINED_SECRET_KEY_ERROR`
    `static String` | `STS_CONFIGURATION_EXCEPTION`
    `static String` | `STS_CONFIGURATION_FILE_PARSING_ERROR`
    `static String` | `STS_CONFIGURATION_NOT_SET`
    `static String` | `STS_EXCEPTION_HANDLING_TOKEN_REQ`
    `static String` | `STS_INVALID_REQUEST_TYPE`
    `static String` | `STS_INVALID_TOKEN_REQUEST`
    `static String` | `STS_NO_TOKEN_PROVIDER`
    `static String` | `STS_PUBLIC_KEY_CERT`
    `static String` | `STS_PUBLIC_KEY_ERROR`
    `static String` | `STS_RESPONSE_WRITING_ERROR`
    `static String` | `STS_SIGNING_KEYPAIR_ERROR`
    `static String` | `STS_UNABLE_TO_CONSTRUCT_KEYMGR`
    `static String` | `SYSTEM_PROPERTY_MISSING`
    `static String` | `TRUST_MANAGER_MISSING`
    `static String` | `UNABLE_LOCAL_AUTH`
    `static String` | `UNABLE_PARSING_NULL_TOKEN`
    `static String` | `UNKNOWN_ENC_ALGO`
    `static String` | `UNKNOWN_END_ELEMENT`
    `static String` | `UNKNOWN_OBJECT_TYPE`
    `static String` | `UNKNOWN_SIG_ALGO`
    `static String` | `UNKNOWN_START_ELEMENT`
    `static String` | `UNKNOWN_TAG`
    `static String` | `UNKNOWN_XSI`
    `static String` | `UNSUPPORTED_TYPE`
    `static String` | `VALIDATION_CHECK_FAILED`
    `static String` | `WRITER_INVALID_KEYINFO_NULL_CONTENT`
    `static String` | `WRITER_NULL_VALUE`
    `static String` | `WRITER_SHOULD_START_ELEMENT`
    `static String` | `WRITER_UNKNOWN_TYPE`
    `static String` | `WRITER_UNSUPPORTED_ATTRIB_VALUE`
    `static String` | `WRONG_TYPE`

- - ### Field Detail

    - #### ASSERTION_RENEWAL_EXCEPTION

          static final String ASSERTION_RENEWAL_EXCEPTION

      See Also:
        Constant Field Values

    - #### AUDIT_MANAGER_NULL

          static final String AUDIT_MANAGER_NULL

      See Also:
        Constant Field Values

    - #### AUTHENTICATOR_DOES_NOT_HANDLE_ENC

          static final String AUTHENTICATOR_DOES_NOT_HANDLE_ENC

      See Also:
        Constant Field Values

    - #### AUTHN_REQUEST_ID_VERIFICATION_FAILED

          static final String AUTHN_REQUEST_ID_VERIFICATION_FAILED

      See Also:
        Constant Field Values

    - #### CLASS_NOT_LOADED

          static final String CLASS_NOT_LOADED

      See Also:
        Constant Field Values

    - #### CANNOT_CREATE_INSTANCE

          static final String CANNOT_CREATE_INSTANCE

      See Also:
        Constant Field Values

    - #### DOM_MISSING_DOC_ELEMENT

          static final String DOM_MISSING_DOC_ELEMENT

      See Also:
        Constant Field Values

    - #### DOM_MISSING_ELEMENT

          static final String DOM_MISSING_ELEMENT

      See Also:
        Constant Field Values

    - #### ENCRYPTION_PROCESS_FAILURE

          static final String ENCRYPTION_PROCESS_FAILURE

      See Also:
        Constant Field Values

    - #### EXPIRED_ASSERTION

          static final String EXPIRED_ASSERTION

      See Also:
        Constant Field Values

    - #### EXPECTED_XSI

          static final String EXPECTED_XSI

      See Also:
        Constant Field Values

    - #### EXPECTED_TAG

          static final String EXPECTED_TAG

      See Also:
        Constant Field Values

    - #### EXPECTED_TEXT_VALUE

          static final String EXPECTED_TEXT_VALUE

      See Also:
        Constant Field Values

    - #### EXPECTED_END_TAG

          static final String EXPECTED_END_TAG

      See Also:
        Constant Field Values

    - #### FAILED_PARSING

          static final String FAILED_PARSING

      See Also:
        Constant Field Values

    - #### FILE_NOT_LOCATED

          static final String FILE_NOT_LOCATED

      See Also:
        Constant Field Values

    - #### IDP_AUTH_FAILED

          static final String IDP_AUTH_FAILED

      See Also:
        Constant Field Values

    - #### IDP_WEBBROWSER_VALVE_ALREADY_STARTED

          static final String IDP_WEBBROWSER_VALVE_ALREADY_STARTED

      See Also:
        Constant Field Values

    - #### IDP_WEBBROWSER_VALVE_CONF_FILE_MISSING

          static final String IDP_WEBBROWSER_VALVE_CONF_FILE_MISSING

      See Also:
        Constant Field Values

    - #### IDP_WEBBROWSER_VALVE_NOT_STARTED

          static final String IDP_WEBBROWSER_VALVE_NOT_STARTED

      See Also:
        Constant Field Values

    - #### ILLEGAL_METHOD_CALLED

          static final String ILLEGAL_METHOD_CALLED

      See Also:
        Constant Field Values

    - #### INVALID_ASSERTION

          static final String INVALID_ASSERTION

      See Also:
        Constant Field Values

    - #### INVALID_DIGITAL_SIGNATURE

          static final String INVALID_DIGITAL_SIGNATURE

      See Also:
        Constant Field Values

    - #### INJECTED_VALUE_MISSING

          static final String INJECTED_VALUE_MISSING

      See Also:
        Constant Field Values

    - #### ISSUER_INFO_MISSING_STATUS_CODE

          static final String ISSUER_INFO_MISSING_STATUS_CODE

      See Also:
        Constant Field Values

    - #### KEYSTOREKEYMGR_DOMAIN_ALIAS_MISSING

          static final String KEYSTOREKEYMGR_DOMAIN_ALIAS_MISSING

      See Also:
        Constant Field Values

    - #### KEYSTOREKEYMGR_NULL_ALIAS

          static final String KEYSTOREKEYMGR_NULL_ALIAS

      See Also:
        Constant Field Values

    - #### KEYSTOREKEYMGR_NULL_KEYSTORE

          static final String KEYSTOREKEYMGR_NULL_KEYSTORE

      See Also:
        Constant Field Values

    - #### KEYSTOREKEYMGR_NULL_SIGNING_KEYPASS

          static final String KEYSTOREKEYMGR_NULL_SIGNING_KEYPASS

      See Also:
        Constant Field Values

    - #### KEYSTOREKEYMGR_NULL_ENCRYPTION_KEYPASS

          static final String KEYSTOREKEYMGR_NULL_ENCRYPTION_KEYPASS

      See Also:
        Constant Field Values

    - #### KEYSTOREKEYMGR_KEYSTORE_NOT_LOCATED

          static final String KEYSTOREKEYMGR_KEYSTORE_NOT_LOCATED

      See Also:
        Constant Field Values

    - #### NOT_EQUAL

          static final String NOT_EQUAL

      See Also:
        Constant Field Values

    - #### NOT_IMPLEMENTED_YET

          static final String NOT_IMPLEMENTED_YET

      See Also:
        Constant Field Values

    - #### NOT_SERIALIZABLE

          static final String NOT_SERIALIZABLE

      See Also:
        Constant Field Values

    - #### NULL_ARGUMENT

          static final String NULL_ARGUMENT

      See Also:
        Constant Field Values

    - #### NULL_ASSERTION

          static final String NULL_ASSERTION

      See Also:
        Constant Field Values

    - #### NULL_ISSUE_INSTANT

          static final String NULL_ISSUE_INSTANT

      See Also:
        Constant Field Values

    - #### NULL_INPUT_STREAM

          static final String NULL_INPUT_STREAM

      See Also:
        Constant Field Values

    - #### NULL_START_ELEMENT

          static final String NULL_START_ELEMENT

      See Also:
        Constant Field Values

    - #### NULL_VALUE

          static final String NULL_VALUE

      See Also:
        Constant Field Values

    - #### OPTION_NOT_SET

          static final String OPTION_NOT_SET

      See Also:
        Constant Field Values

    - #### PARSING_ERROR

          static final String PARSING_ERROR

      See Also:
        Constant Field Values

    - #### PRINCIPAL_NOT_FOUND

          static final String PRINCIPAL_NOT_FOUND

      See Also:
        Constant Field Values

    - #### PROCESSING_EXCEPTION

          static final String PROCESSING_EXCEPTION

      See Also:
        Constant Field Values

    - #### REQD_ATTRIBUTE

          static final String REQD_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### RESOURCE_NOT_FOUND

          static final String RESOURCE_NOT_FOUND

      See Also:
        Constant Field Values

    - #### SAML2STSLM_CONF_FILE_MISSING

          static final String SAML2STSLM_CONF_FILE_MISSING

      See Also:
        Constant Field Values

    - #### SAML2STSLM_UNABLE_DECODE_PWD

          static final String SAML2STSLM_UNABLE_DECODE_PWD

      See Also:
        Constant Field Values

    - #### SERVICE_PROVIDER_CONF_FILE_MISSING

          static final String SERVICE_PROVIDER_CONF_FILE_MISSING

      See Also:
        Constant Field Values

    - #### SERVICE_PROVIDER_NOT_CATALINA_RESPONSE

          static final String SERVICE_PROVIDER_NOT_CATALINA_RESPONSE

      See Also:
        Constant Field Values

    - #### SERVICE_PROVIDER_SERVER_EXCEPTION

          static final String SERVICE_PROVIDER_SERVER_EXCEPTION

      See Also:
        Constant Field Values

    - #### SHOULD_NOT_BE_THE_SAME

          static final String SHOULD_NOT_BE_THE_SAME

      See Also:
        Constant Field Values

    - #### SIGNING_PROCESS_FAILURE

          static final String SIGNING_PROCESS_FAILURE

      See Also:
        Constant Field Values

    - #### STS_CLIENT_PUBLIC_KEY_ERROR

          static final String STS_CLIENT_PUBLIC_KEY_ERROR

      See Also:
        Constant Field Values

    - #### STS_CONFIGURATION_NOT_SET

          static final String STS_CONFIGURATION_NOT_SET

      See Also:
        Constant Field Values

    - #### STS_CONFIGURATION_FILE_PARSING_ERROR

          static final String STS_CONFIGURATION_FILE_PARSING_ERROR

      See Also:
        Constant Field Values

    - #### STS_CONFIGURATION_EXCEPTION

          static final String STS_CONFIGURATION_EXCEPTION

      See Also:
        Constant Field Values

    - #### STS_COMBINED_SECRET_KEY_ERROR

          static final String STS_COMBINED_SECRET_KEY_ERROR

      See Also:
        Constant Field Values

    - #### STS_EXCEPTION_HANDLING_TOKEN_REQ

          static final String STS_EXCEPTION_HANDLING_TOKEN_REQ

      See Also:
        Constant Field Values

    - #### STS_NO_TOKEN_PROVIDER

          static final String STS_NO_TOKEN_PROVIDER

      See Also:
        Constant Field Values

    - #### STS_INVALID_TOKEN_REQUEST

          static final String STS_INVALID_TOKEN_REQUEST

      See Also:
        Constant Field Values

    - #### STS_INVALID_REQUEST_TYPE

          static final String STS_INVALID_REQUEST_TYPE

      See Also:
        Constant Field Values

    - #### STS_PUBLIC_KEY_ERROR

          static final String STS_PUBLIC_KEY_ERROR

      See Also:
        Constant Field Values

    - #### STS_PUBLIC_KEY_CERT

          static final String STS_PUBLIC_KEY_CERT

      See Also:
        Constant Field Values

    - #### STS_RESPONSE_WRITING_ERROR

          static final String STS_RESPONSE_WRITING_ERROR

      See Also:
        Constant Field Values

    - #### STS_SIGNING_KEYPAIR_ERROR

          static final String STS_SIGNING_KEYPAIR_ERROR

      See Also:
        Constant Field Values

    - #### STS_UNABLE_TO_CONSTRUCT_KEYMGR

          static final String STS_UNABLE_TO_CONSTRUCT_KEYMGR

      See Also:
        Constant Field Values

    - #### SYSTEM_PROPERTY_MISSING

          static final String SYSTEM_PROPERTY_MISSING

      See Also:
        Constant Field Values

    - #### TRUST_MANAGER_MISSING

          static final String TRUST_MANAGER_MISSING

      See Also:
        Constant Field Values

    - #### UNABLE_PARSING_NULL_TOKEN

          static final String UNABLE_PARSING_NULL_TOKEN

      See Also:
        Constant Field Values

    - #### UNABLE_LOCAL_AUTH

          static final String UNABLE_LOCAL_AUTH

      See Also:
        Constant Field Values

    - #### UNKNOWN_END_ELEMENT

          static final String UNKNOWN_END_ELEMENT

      See Also:
        Constant Field Values

    - #### UNKNOWN_OBJECT_TYPE

          static final String UNKNOWN_OBJECT_TYPE

      See Also:
        Constant Field Values

    - #### UNKNOWN_START_ELEMENT

          static final String UNKNOWN_START_ELEMENT

      See Also:
        Constant Field Values

    - #### UNKNOWN_SIG_ALGO

          static final String UNKNOWN_SIG_ALGO

      See Also:
        Constant Field Values

    - #### UNKNOWN_ENC_ALGO

          static final String UNKNOWN_ENC_ALGO

      See Also:
        Constant Field Values

    - #### UNKNOWN_TAG

          static final String UNKNOWN_TAG

      See Also:
        Constant Field Values

    - #### UNKNOWN_XSI

          static final String UNKNOWN_XSI

      See Also:
        Constant Field Values

    - #### UNSUPPORTED_TYPE

          static final String UNSUPPORTED_TYPE

      See Also:
        Constant Field Values

    - #### VALIDATION_CHECK_FAILED

          static final String VALIDATION_CHECK_FAILED

      See Also:
        Constant Field Values

    - #### WRITER_INVALID_KEYINFO_NULL_CONTENT

          static final String WRITER_INVALID_KEYINFO_NULL_CONTENT

      See Also:
        Constant Field Values

    - #### WRITER_NULL_VALUE

          static final String WRITER_NULL_VALUE

      See Also:
        Constant Field Values

    - #### WRITER_SHOULD_START_ELEMENT

          static final String WRITER_SHOULD_START_ELEMENT

      See Also:
        Constant Field Values

    - #### WRITER_UNKNOWN_TYPE

          static final String WRITER_UNKNOWN_TYPE

      See Also:
        Constant Field Values

    - #### WRITER_UNSUPPORTED_ATTRIB_VALUE

          static final String WRITER_UNSUPPORTED_ATTRIB_VALUE

      See Also:
        Constant Field Values

    - #### WRONG_TYPE

          static final String WRONG_TYPE

      See Also:
        Constant Field Values

    - #### SOAP_MESSAGE_DUMP_ERROR

          static final String SOAP_MESSAGE_DUMP_ERROR

      See Also:
        Constant Field Values

    - #### LOCAL_VALIDATION_SEC_DOMAIN_MUST_BE_SPECIFIED

          static final String LOCAL_VALIDATION_SEC_DOMAIN_MUST_BE_SPECIFIED

      See Also:
        Constant Field Values

    - #### COMPRESSION_ENABLED_SAML_CRED

          static final String COMPRESSION_ENABLED_SAML_CRED

      See Also:
        Constant Field Values

Copyright © 2016 JBoss by Red Hat. All rights reserved.